Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Protected Types | List of all members
agora::util::AutoPtr< T > Class Template Reference

`#include <AgoraBase.h>`

Inherited by agora::util::CopyableAutoPtr< IString >, and agora::util::CopyableAutoPtr< T >.

## Public Member Functions
| AutoPtr (pointer_type p=OPTIONAL_NULLPTR)
| ~AutoPtr ()
| operator bool () const
value_type & | operator* () const
pointer_type | operator-> () const
pointer_type | get () const
pointer_type | release ()
void | reset (pointer_type ptr=OPTIONAL_NULLPTR)
template<class C1, class C2>
bool | queryInterface (C1 *c, C2 iid)

## Protected Types
typedef T | value_type
typedef T * | pointer_type

## Member Typedef Documentation

## ◆ value_type

template<class T>

typedef T agora::util::AutoPtr< T >::value_type
| protected

## ◆ pointer_type

template<class T>

typedef T* agora::util::AutoPtr< T >::pointer_type
| protected

## Constructor & Destructor Documentation

## ◆ AutoPtr()

template<class T>

agora::util::AutoPtr< T >::AutoPtr | ( | pointer_type | p = OPTIONAL_NULLPTR | ) |
| inlineexplicit

## ◆ ~AutoPtr()

template<class T>

agora::util::AutoPtr< T >::~AutoPtr | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator bool()

template<class T>

agora::util::AutoPtr< T >::operator bool | ( |  | ) | const
| inline

## ◆ operator*()

template<class T>

value_type & agora::util::AutoPtr< T >::operator* | ( |  | ) | const
| inline

## ◆ operator->()

template<class T>

pointer_type agora::util::AutoPtr< T >::operator-> | ( |  | ) | const
| inline

## ◆ get()

template<class T>

pointer_type agora::util::AutoPtr< T >::get | ( |  | ) | const
| inline

## ◆ release()

template<class T>

pointer_type agora::util::AutoPtr< T >::release | ( |  | ) |
| inline

## ◆ reset()

template<class T>

void agora::util::AutoPtr< T >::reset | ( | pointer_type | ptr = OPTIONAL_NULLPTR | ) |
| inline

## ◆ queryInterface()

template<class T>
template<class C1, class C2>

bool agora::util::AutoPtr< T >::queryInterface | ( | C1 * | c,
|  | C2 | iid )
| inline